//
//  ExperienceViewController.h
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 12/02/10.
//  Copyright 2010 Andrei Rotenstein. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreLocation/CoreLocation.h>
#import <CoreLocation/CLLocationManagerDelegate.h>
#import <MediaPlayer/MediaPlayer.h>
#import "WaypointDataModel.h"

#define degreesToRadians(x) (M_PI * x / 180.0)

@interface ExperienceViewController : UIViewController <MKMapViewDelegate, CLLocationManagerDelegate> {
	CLLocationManager* locationManager;
	IBOutlet MKMapView* mapView;
	WaypointDataModel* theDataModel;
	bool tryUpdatingLocation;
	MPMoviePlayerController* moviePlayer;
	MPMoviePlayerController* mp;
	bool isMediaPlaying;
	bool isFirstUpdate;
    bool fullscreen;
    bool isButtonClicked;
    bool buttonExists;
    CGFloat mHeight;
    CGFloat mWidth;
    CGRect rect;
    UIButton* button;
    NSMutableArray *movieList;

}

@property (nonatomic,retain) IBOutlet MKMapView* mapView;
@property (nonatomic,retain) CLLocationManager* locationManager;
@property (nonatomic,assign) WaypointDataModel* theDataModel;
@property (nonatomic) bool tryUpdatingLocation;
@property (readwrite,retain) MPMoviePlayerController* moviePlayer;
@property (readwrite,retain) MPMoviePlayerController* mp;
@property (nonatomic) bool isMediaPlaying;
@property (nonatomic) bool isFirstUpdate;
@property (nonatomic) bool fullscreen;
@property (nonatomic) bool isButtonClicked;
@property (nonatomic) bool buttonExists;
@property (nonatomic, retain) IBOutlet UIButton* button;
@property (nonatomic, retain) NSMutableArray *movieList;



- (void)stopUpdatingLocation:(NSString*) errorString;
- (void)doUserExperienceForNewLocation:(CLLocation*) newLocation;
- (void)buttonClicked: (id)sender;

@end
