//
//  LocationDetailViewController.m
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 04/02/10.
//  Copyright 2010 Andrei Rotenstein. All rights reserved.
//

#import "LocationDetailViewController.h"
#import <UIKit/UIKit.h>


@implementation LocationDetailViewController

@synthesize location;
@synthesize descriptionLabel;
@synthesize latLabel;
@synthesize longLabel;
@synthesize radiusLabel;
@synthesize urlLabel;
@synthesize movPrev;


 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
	}
    return self;
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	[[self navigationItem] setTitle:@"Detail"];
	[[self navigationItem] setHidesBackButton:FALSE];
	[self setEditing:FALSE];

	if( location == nil ) 
		return;

	[[self descriptionLabel] setText:[location description]];
	[[self latLabel] setText:[NSString stringWithFormat:@"%f",[location coordinate].latitude]];
	[[self longLabel] setText:[NSString stringWithFormat:@"%f",[location coordinate].longitude]];
	[[self radiusLabel] setText:[NSString stringWithFormat:@"%f",[location radius]]];
	[[self urlLabel] setText:[[location mediaURL] absoluteString]];

    NSString *imageFile = [[location mediaURL] absoluteString];
    imageFile = [imageFile stringByAppendingString:@".png"];
    
    UIImageView *movView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:imageFile]];
   
    
    
    
    [movView setContentMode:UIViewContentModeScaleAspectFit];
    
    [movView setAutoresizingMask:UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight];
    
    movView.frame = self.movPrev.bounds;
   // NSLog(@"movView frame %f %f %f %f",movView.frame.origin.x, movView.frame.origin.y, movView.frame.size.height, movView.frame.size.width);
    //NSLog(@"movPrev bounds %f %f %f %f",self.movPrev.bounds.origin.x, self.movPrev.bounds.origin.y, self.movPrev.bounds.size.height, self.movPrev.bounds.size.width);
    
    [[self movPrev] addSubview:movView];
	
}

// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
