//
//  RootViewController.m
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 03/02/10.
//  Copyright Andrei Rotenstein 2010. All rights reserved.
//

#import "RootViewController.h"

@implementation RootViewController

@synthesize theDataModel;


- (void)viewDidLoad {
	
    [super viewDidLoad];
	[[self navigationItem] setTitle:@"Locations"];
	[[self tableView] setSeparatorColor:[UIColor redColor]];
	
	[self setTheDataModel:[WaypointDataModel sharedInstance]]; 
}

- (void)viewWillAppear:(BOOL)animated {
	// Parse the XML file and set up the list
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
}

// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
}


#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self getWaypointCount];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
		
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
	// Configure the cell.
	if( [indexPath row] < [theDataModel count] )
	{
		NSString* label = [[theDataModel locationFromIndex:[indexPath row]] description];
		[cell.textLabel setText:[[label copy] autorelease]];
		[cell setAccessoryType:UITableViewCellAccessoryDetailDisclosureButton];
	}
	else
	{
		// do nothing.
	}
	//cell.target = self;
	
	return cell;
}

// Override to support row selection in the table view.
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
	[self tableView:tableView accessoryButtonTappedForRowWithIndexPath:indexPath];

}
	
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the specified item to be editable.
    return NO;
}

// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source.
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view.
    }   
}

// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
}

// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}

// Deal with detail accessory button presses
- (void)tableView:(UITableView *)tableView accessoryButtonTappedForRowWithIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here -- for example, create and push another view controller.
	LocationDetailViewController *ldvc = [[LocationDetailViewController alloc] initWithNibName:@"LocationDetailViewController" bundle:[NSBundle mainBundle]];
	[ldvc setLocation:[theDataModel locationFromIndex:[indexPath row]]];
	[self.navigationController pushViewController:ldvc animated:YES];
	[ldvc release];
}


// Returns waypoint counts.
- (NSInteger) getWaypointCount {
	return [[self theDataModel] count];
}

@end

